## ngcp-dhtest 1.3.1+0~sipwise1

=== Makefile ===
# Makefile to generate dhtest
prefix?=$(DESTDIR)/usr
CC=gcc
CFLAGS?=-Wall -O3 -g --std=c99 -D_SVID_SOURCE -D_POSIX_SOURCE -D_BSD_SOURCE

%.o: %.c headers.h
	$(CC) $(CFLAGS) -o $@ -c $<

dhtest: dhtest.o functions.o
	$(CC) dhtest.o functions.o -o dhtest

install: dhtest
	install -d $(prefix)/sbin
	install -m 0755 dhtest $(prefix)/sbin

clean:
	rm -f dhtest functions.o dhtest.o

.PHONY: install

=== debian/changelog ===
ngcp-dhtest (1.3.1+0~sipwise1) unstable; urgency=low

  [ saravana815 ]
  * [c79ebed] Create LICENSE

  [ Victor Seva ]
  * [5e97516] MT#5581 create install rule

  [ Richard Fuchs ]
  * [49e1e86] dont delete status file on release
  * [d35d88d] create critical() for code prettification
  * [9f892b1] unconditionally read in status file to retain random mac address
  * [c113a76] better signal/abort handler
  * [ccb00d8] implement --request-only
  * [fea61b2] correct ether addr length

  [ Simone Cianni ]
  * [99a1dc7] Bug Fix: Missed file name.

 -- Alexander Lutay <alutay@sipwise.com>  Thu, 03 Jul 2014 13:34:20 +0200

ngcp-dhtest (1.3.1) unstable; urgency=low

  * Initial release.

 -- Michael Prokop <mprokop@sipwise.com>  Mon, 13 Jan 2014 09:33:47 +0100

=== debian/control ===
Source: ngcp-dhtest
Section: admin
Priority: extra
Maintainer: Sipwise Development Team <support@sipwise.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://sipwise.com/

Package: ngcp-dhtest
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: DHCP client simulation
 dhtest can simulate multiple DHCP clients behind a network
 device. It can help in testing the DHCP servers or in testing
 switch/router by loading the device with multiple DHCP clients.

## ngcp-dhtest 1.3.2+0~mr13.5.1.1

=== debian/changelog ===
ngcp-dhtest (1.3.2+0~mr13.5.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:53:16 +0200

ngcp-dhtest (1.3.2+0~mr13.5.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:36 +0200

ngcp-dhtest (1.3.2+0~mr13.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:42:44 +0200

ngcp-dhtest (1.3.2+0~mr13.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:26:49 +0200

ngcp-dhtest (1.3.2+0~mr13.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:13:53 +0100

ngcp-dhtest (1.3.2+0~mr13.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:25:34 +0100

ngcp-dhtest (1.3.2+0~mr13.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 09:58:58 +0200

ngcp-dhtest (1.3.2+0~mr13.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:01:44 +0200

ngcp-dhtest (1.3.2+0~mr12.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:30:35 +0200

ngcp-dhtest (1.3.2+0~mr12.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:47:18 +0100

ngcp-dhtest (1.3.2+0~mr12.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:46:16 +0100

ngcp-dhtest (1.3.2+0~mr12.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:35:56 +0100

ngcp-dhtest (1.3.2+0~mr12.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [f0a3d21] MT#58307 debian: Set Rules-Requires-Root to no
  * [4a595fc] MT#58307 build: Normalize variable handling
  * [40c1f95] MT#58356 Update packaging for bookworm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 15 Oct 2023 08:22:47 +0200

ngcp-dhtest (1.3.2+0~mr12.0.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:03:26 +0200

ngcp-dhtest (1.3.2+0~mr11.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:09:40 +0200

ngcp-dhtest (1.3.2+0~mr11.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Mar 2023 13:03:05 +0100

ngcp-dhtest (1.3.2+0~mr11.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 17 Jan 2023 17:41:57 +0100

ngcp-dhtest (1.3.2+0~mr11.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 04 Oct 2022 13:49:46 +0200

ngcp-dhtest (1.3.2+0~mr11.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Aug 2022 20:00:26 +0200

ngcp-dhtest (1.3.2+0~mr11.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 07 Jun 2022 11:42:05 +0200

ngcp-dhtest (1.3.2+0~mr10.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Mar 2022 23:58:28 +0200

ngcp-dhtest (1.3.2+0~mr10.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Jan 2022 16:54:34 +0100

ngcp-dhtest (1.3.2+0~mr10.3.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [a335d5d] TT#142600 Exit explicitly from the cleanup signal handler
  * [aac0641] TT#124273 Update packaging for bullseye

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 23 Nov 2021 14:16:57 +0100

ngcp-dhtest (1.3.2+0~mr10.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [a137c6a] TT#142600 Improve signal handling
  * [f09fbc2] TT#142600 Fix buffer overflow on memcpy

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Oct 2021 13:18:08 +0200

ngcp-dhtest (1.3.2+0~mr10.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Aug 2021 16:49:26 +0200

ngcp-dhtest (1.3.2+0~mr10.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 14 Jun 2021 16:34:50 +0200

ngcp-dhtest (1.3.2+0~mr9.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 20 Apr 2021 11:56:24 +0200

ngcp-dhtest (1.3.2+0~mr9.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Feb 2021 17:51:37 +0100

ngcp-dhtest (1.3.2+0~mr9.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Jan 2021 15:30:29 +0100

ngcp-dhtest (1.3.2+0~mr9.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Nov 2020 16:23:34 +0100

ngcp-dhtest (1.3.2+0~mr9.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 31 Aug 2020 21:53:10 +0200

ngcp-dhtest (1.3.2+0~mr9.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 21 Jul 2020 14:47:40 +0200

ngcp-dhtest (1.3.2+0~mr8.6.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 14 Jul 2020 11:51:27 +0200

ngcp-dhtest (1.3.2+0~mr8.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 19 May 2020 11:07:04 +0200

ngcp-dhtest (1.3.2+0~mr8.4.0.0) unstable; urgency=medium

  * New release.



## ngcp-dhtest 1.3.2+0~mr14.0.1.1

=== Makefile ===
# Makefile to generate dhtest
prefix ?= /usr
CC=gcc
CFLAGS?=-g -O3 -Wall -Wextra
CFLAGS+=--std=c99 -D_POSIX_SOURCE -D_DEFAULT_SOURCE

%.o: %.c headers.h
	$(CC) $(CFLAGS) -o $@ -c $<

dhtest: dhtest.o functions.o
	$(CC) dhtest.o functions.o -o dhtest

install: dhtest
	install -d $(DESTDIR)$(prefix)/sbin
	install -m 0755 dhtest $(DESTDIR)$(prefix)/sbin

clean:
	rm -f dhtest functions.o dhtest.o

.PHONY: install

=== debian/changelog ===
ngcp-dhtest (1.3.2+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:31:38 +0100

ngcp-dhtest (1.3.2+0~mr14.0.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:55:09 +0100

ngcp-dhtest (1.3.2+0~mr14.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:37 +0200

=== debian/control ===
Source: ngcp-dhtest
Section: net
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://www.sipwise.com/

Package: ngcp-dhtest
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: DHCP client simulation
 dhtest can simulate multiple DHCP clients behind a network
 device. It can help in testing the DHCP servers or in testing
 switch/router by loading the device with multiple DHCP clients.
